<template>
  <ObForm
    :form-data="formData"
    @submit="onSubmitHandler"
  >
    <p>
      Укажите значения для <b>средней</b> категории стоимости. Значения для
      высокой и низкой категорий будут рассчитаны автоматически, исходя из “от”
      и “до” в средней категории стоимости.
    </p>
    <div class="row">
      <div class="col-xs-6">
        <ob-input
          label="Стоимость от, ₽"
          v-model="formData.mediumMinCost"
          type="money"
          property="cargo_value"
        ></ob-input>
      </div>
      <div class="col-xs-6">
        <ob-input
          label="Стоимость до, ₽"
          v-model="formData.highMinCost"
          type="money"
          property="corridor"
        ></ob-input>
      </div>
    </div>
    <p>Максимальная стоимость, выше которой заказы приниматься не будут.</p>
    <div class="row">
      <div class="col-xs-12">
        <ob-input
          label="Стоимость, ₽"
          v-model="formData.absoluteMaxCost"
          type="money"
          property="name"
        ></ob-input>
      </div>
    </div>
  </ObForm>
</template>

<script>
import FormValidationMixin from "common-components/src/obComponents/obForm/FormValidationMixin";
import ObInput from "common-components/src/obComponents/obInput";
import ObForm from "common-components/src/obComponents/obForm";

export default {
  name: "costCategoryPopup",
  components: { ObForm, ObInput },
  mixins: [FormValidationMixin],
  props: {},
  data() {
    return {};
  },
  methods: {
    onSubmitHandler(data) {
      this.$emit("changed", data);
      this.$emit("close");
    }
  }
};
</script>

<style lang="scss" scoped>

p {
    line-height: 20px !important;
    color: $gray-slate !important;
}
</style>
